## prometheus-bird-exporter 1.2.2

=== Makefile ===
APP = bird_exporter

VERSION=$(shell \
        grep "version string =" main.go \
        |awk -F'=' '{print $$2}' \
        |sed -e "s/[^0-9.]//g" \
	|sed -e "s/ //g")

SHELL = /bin/bash
GO = go
DIR = $(shell pwd)

NO_COLOR=\033[0m
OK_COLOR=\033[32;01m
ERROR_COLOR=\033[31;01m
WARN_COLOR=\033[33;01m

MAKE_COLOR=\033[33;01m%-20s\033[0m

MAIN = github.com/czerwonk/bird_exporter
SRCS = $(shell git ls-files '*.go' | grep -v '^vendor/')
PKGS = $(shell go list ./... | grep -v '/vendor/')

.DEFAULT_GOAL := help

.PHONY: help
help:
	@echo -e "$(OK_COLOR)==== $(APP) [$(VERSION)] ====$(NO_COLOR)"
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "$(MAKE_COLOR) : %s\n", $$1, $$2}'

.PHONY: init
init: ## Install requirements
	@echo -e "$(OK_COLOR)[$(APP)] Install requirements$(NO_COLOR)"
	@go get -u github.com/golang/dep/cmd/dep
	@go get -u github.com/golang/lint/golint

.PHONY: deps
deps: ## Update dependencies
	@echo -e "$(OK_COLOR)[$(APP)] Update dependencies$(NO_COLOR)"
	@dep ensure

.PHONY: build
build: ## Make binary
	@echo -e "$(OK_COLOR)[$(APP)] Build $(NO_COLOR)"
	@go build .

.PHONY: test
test: ## Launch unit tests
	@echo -e "$(OK_COLOR)[$(APP)] Launch unit tests $(NO_COLOR)"
	@$(foreach pkg,$(PKGS),go test $(pkg) || exit;)

.PHONY: lint
lint: ## Launch golint
	@$(foreach file,$(SRCS),golint $(file) || exit;)

.PHONY: vet
vet: ## Launch go vet
	@$(foreach file,$(SRCS),$(GO) vet $(file) || exit;)

.PHONY: coverage
coverage: ## Launch code coverage
	@$(foreach pkg,$(PKGS),$(GO) test -cover $(pkg) || exit;)

# for goprojectile
.PHONY: gopath
gopath:
	@echo `pwd`:`pwd`/vendor

=== debian/changelog ===
prometheus-bird-exporter (1.2.2-1) unstable; urgency=medium

  * New upstream release.
    - Support parsing of static routes.
  * Bump Standards-Version to 4.2.1.
  * Set package maintainer to Debian Go Team.
  * Drop manpage patch (added upstream).

 -- Daniel Swarbrick <daniel.swarbrick@profitbricks.com>  Wed, 05 Sep 2018 13:59:06 +0200

prometheus-bird-exporter (1.2.1-1) unstable; urgency=medium

  * Initial packaged version. Closes: #901933.

 -- Daniel Swarbrick <daniel.swarbrick@profitbricks.com>  Thu, 21 Jun 2018 10:57:54 +0200

=== debian/control ===
Source: prometheus-bird-exporter
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@profitbricks.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-go,
               pandoc
Standards-Version: 4.2.1
Homepage: https://github.com/czerwonk/bird_exporter
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bird-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-bird-exporter.git
XS-Go-Import-Path: github.com/czerwonk/bird_exporter

Package: prometheus-bird-exporter
Architecture: any
Depends: bird, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for the BIRD routing daemon
 Prometheus exporter for the BIRD routing daemon, which collects metrics from
 BIRD's Unix control socket. Exposed metrics include:
 .
  * BGP session state
  * OSPF neighbor / interface count
  * Imported / exported / filtered prefix counts / route state changes (BGP,
    OSPF, Kernel, Static, Device, Direct)
  * Protocol uptimes (BGP, OSPF)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://github.com/czerwonk/bird_exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-bird-exporter 1.2.5+ds

=== debian/changelog ===
prometheus-bird-exporter (1.2.5+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1 (no changes)
  * Refresh patches
  * Add lintian override regarding ignored Kubernetes example config

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Sun, 24 Jan 2021 01:29:52 +0100

prometheus-bird-exporter (1.2.4+ds-1) unstable; urgency=medium

  [ Ben Fiedler ]
  * Add bird2 as an alternative dependency on bird. (Closes: #958365)

  [ Daniel Swarbrick ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0 (no changes).
  * Bump debhelper-compat version to 13.
  * Update maintainer & uploader email addresses.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Thu, 01 Oct 2020 16:12:44 +0200

=== debian/control ===
Source: prometheus-bird-exporter
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-go,
               pandoc
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/czerwonk/bird_exporter
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bird-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-bird-exporter.git
XS-Go-Import-Path: github.com/czerwonk/bird_exporter

Package: prometheus-bird-exporter
Architecture: any
Depends: bird | bird2, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for the BIRD routing daemon
 Prometheus exporter for the BIRD routing daemon, which collects metrics from
 BIRD's Unix control socket. Exposed metrics include:
 .
  * BGP session state
  * OSPF neighbor / interface count
  * Imported / exported / filtered prefix counts / route state changes (BGP,
    OSPF, Kernel, Static, Device, Direct)
  * Protocol uptimes (BGP, OSPF)

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BINNAME := $(DEB_SOURCE)
BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_clean:
	dh_auto_clean
	rm -f prometheus-bird-exporter.1

override_dh_auto_build:
	dh_auto_build
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/bird_exporter $(BUILDDIR)/bin/$(BINNAME)
	pandoc -s -t man bird_exporter.1.md -o prometheus-bird-exporter.1

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installinit:
	dh_installinit --noscripts

## prometheus-bird-exporter 1.2.6%2Bds

=== debian/changelog ===
prometheus-bird-exporter (1.2.6+ds-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * Update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Daniel Swarbrick ]
  * New upstream release
  * Bump Standards-Version to 4.6.0 (no changes)
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Replace golang-go with golang-any to build on more platforms
  * Add Restart=on-failure to systemd service

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Dec 2021 17:02:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
+               golang-any,
                golang-github-prometheus-client-golang-dev,
-               golang-github-prometheus-common-dev,
-               golang-go,
-               pandoc
-Standards-Version: 4.5.1
+               golang-github-sirupsen-logrus-dev,
+               pandoc,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/czerwonk/bird_exporter
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bird-exporter
@@ -19,8 +19,10 @@
 
 Package: prometheus-bird-exporter
 Architecture: any
-Depends: bird | bird2, ${misc:Depends}, ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+Depends: bird | bird2,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
 Description: Prometheus exporter for the BIRD routing daemon
  Prometheus exporter for the BIRD routing daemon, which collects metrics from
  BIRD's Unix control socket. Exposed metrics include:

## prometheus-bird-exporter 1.2.6+ds

=== debian/changelog ===
prometheus-bird-exporter (1.2.6+ds-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:03:48 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/,dversionmangle=s/\+ds(\.?\d+)?$// \
  https://github.com/czerwonk/bird_exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-bird-exporter 1.4.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
@@ -11,7 +10,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-sirupsen-logrus-dev,
                pandoc,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/czerwonk/bird_exporter
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bird-exporter

## prometheus-bird-exporter 1.4.1+ds

=== debian/changelog ===
prometheus-bird-exporter (1.4.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1 (no changes)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 18 May 2022 15:51:05 +0000

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BUILDDIR := $(CURDIR)/build
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 override_dh_auto_clean:
 	dh_auto_clean

## prometheus-bird-exporter 1.4.2%2Bds

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
@@ -10,7 +11,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-sirupsen-logrus-dev,
                pandoc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/czerwonk/bird_exporter
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bird-exporter

## prometheus-bird-exporter 1.4.2+ds

=== debian/changelog ===
prometheus-bird-exporter (1.4.2+ds-2) unstable; urgency=medium

  * Add bird3 as an alternative dependency to bird | bird2 (Closes: #1107239)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 23 Jun 2025 15:18:57 +0000

prometheus-bird-exporter (1.4.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump Standards-Version to 4.6.2 (no changes)
  * Drop obsolete source lintian-overrides
  * Remove --help output from default file
  * Fix typo in systemd service description

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 11 Jun 2023 23:31:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
@@ -20,7 +19,7 @@
 
 Package: prometheus-bird-exporter
 Architecture: any
-Depends: bird | bird2,
+Depends: bird | bird2 | bird3,
          ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BINNAME := $(DEB_SOURCE)
BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)

execute_after_dh_auto_build:
	# Rename the binary to match the debian package.
	mv -v $(BUILDDIR)/bin/bird_exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_before_dh_installman:
	pandoc -s -t man bird_exporter.1.md -o $(BINNAME).1

## prometheus-bird-exporter 1.4.3

=== debian/changelog ===
prometheus-bird-exporter (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: remove obsolete vendor/* Files-Excluded patterns
  * Refresh packaging according to latest dh-make-golang template
  * Remove vendor directory (non-existent upstream)
  * Add missing Build-Depends golang-github-stretchr-testify-dev
  * Convert patches to gbp-pq format

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 19 Aug 2025 17:33:24 +0000

=== debian/control ===
Source: prometheus-bird-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-prometheus-client-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               pandoc,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-bird-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-bird-exporter.git
Homepage: https://github.com/czerwonk/bird_exporter
XS-Go-Import-Path: github.com/czerwonk/bird_exporter

Package: prometheus-bird-exporter
Section: net
Architecture: any
Depends: bird | bird2 | bird3,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for the BIRD routing daemon
 Prometheus exporter for the BIRD routing daemon, which collects metrics from
 BIRD's Unix control socket. Exposed metrics include:
 .
  * BGP session state
  * OSPF neighbor / interface count
  * Imported / exported / filtered prefix counts / route state changes (BGP,
    OSPF, Kernel, Static, Device, Direct)
  * Protocol uptimes (BGP, OSPF)

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

BINNAME := $(DEB_SOURCE)

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	# Copy vendored packages
	cp -a debian/vendor _build/src/$(PKG)/

execute_after_dh_auto_build:
	# Rename the binary to match the debian package.
	mv -v _build/bin/bird_exporter _build/bin/$(BINNAME)

execute_before_dh_installman:
	pandoc -s -t man bird_exporter.1.md -o _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/czerwonk/bird_exporter/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-bird-exporter 1.4.4

=== debian/changelog ===
prometheus-bird-exporter (1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 29 Dec 2025 17:30:04 +0000
